%define name    bitlbee
%define version 0.83
%define release 1mdk
%define Summary IRC proxy to connect to ICQ, AOL, MSN and Jabber
%define bitlbid _bitlbee

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Networking/Chat
URL:            http://bitlbee.org

# http://get.bitlbee.org/src/bitblee-0.83.tar.gz
Source0:        %name-%version.tar.bz2
Source1:        %name-userguide.html.bz2
BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:  glib-devel libsoup-devel >= 1.99.23
Prereq:         rpm-helper

%description
%name is a proxy which accepts connections from any irc-client
and allows you to communicate using following instant messaging
protocols.

 - ICQ
 - AIM
 - MSN
 - Jabber


%prep
%setup -q
%__sed -i 's/ROOT_NICK "root"/ROOT_NICK "bitlbee"/' bitlbee.h
bzcat %SOURCE1 > userguide.html


%build
./configure --prefix=%_prefix \
            --etcdir=%_sysconfdir/%name \
            --config=%_var/%name

%make


%install
%__rm -rf %buildroot
%__make install     DESTDIR=%buildroot
%__make install-etc DESTDIR=%buildroot


%__install -d   %buildroot%_var/%name
%__install -d   %buildroot%_sysconfdir/xinetd.d/
%__cat << EOF > %buildroot%_sysconfdir/xinetd.d/%name
# default: on
# description: bitlbee IRC2IM-proxy.
service ircd
{
        disable                 = no
        socket_type             = stream
        protocol                = tcp
        wait                    = no
        user                    = %bitlbid
        server                  = %_sbindir/%name
        log_on_success          += DURATION USERID HOST
        log_on_failure          += USERID HOST ATTEMPT
        nice                    = 10
        bind                    = 127.0.0.1
}
EOF


%pre
%_pre_useradd %bitlbid %_var/%name /bin/true

%post
service xinetd condrestart
if ! pidof xinetd; then
   echo "Use the following command to start %name: /sbin/service xinetd start"
fi

%postun
%_postun_userdel %bitlbid
service xinetd condrestart

%clean
%__rm -rf %buildroot


%files
%defattr(0750,root,%bitlbid,0755)
%_sbindir/%name
%defattr(0644,root,root,0755)
%doc COPYING userguide.html

%_datadir/%name/help.txt
%_mandir/man8/%name.8*
%config(noreplace) %_sysconfdir/%name/motd.txt
%config(noreplace) %_sysconfdir/%name/%name.conf
%config(noreplace) %_sysconfdir/xinetd.d/%name

%defattr(0600,%bitlbid,%bitlbid,0700)
%_var/%name


%changelog
* Wed Dec 31 2003 Han Boetes <han@linux-mandrake.com> 0.83-1mdk
- bump.

* Sat Nov  1 2003 Han Boetes <han@linux-mandrake.com> 0.82-1mdk
- Initial release for Mandrake
